---
updatedAt: 2026-05-28T08:16:45.000Z
agentTools:
  projectIndex: https://docs.scalr.io/llms.txt
---

# List Agent Pool Access Tokens

# OpenAPI definition

```json
{
  "components": {
    "schemas": {
      "AccessToken": {
        "description": "Access Token for the Scalr API.",
        "properties": {
          "attributes": {
            "properties": {
              "created-at": {
                "description": "Date/Time the token was created.",
                "format": "date-time",
                "readOnly": true,
                "type": "string"
              },
              "description": {
                "description": "The description of the token.",
                "maxLength": 255,
                "nullable": true,
                "type": "string"
              },
              "expires-at": {
                "description": "Date/Time when the token is set to expire.",
                "format": "date-time",
                "nullable": true,
                "readOnly": true,
                "type": "string"
              },
              "expires-in": {
                "description": "The number of minutes until the token expires.",
                "nullable": true,
                "type": "integer"
              },
              "is-expired": {
                "default": false,
                "description": "Whether the token is expired.",
                "readOnly": true,
                "type": "boolean"
              },
              "last-used-at": {
                "description": "Date/Time when the token was last used.",
                "format": "date-time",
                "nullable": true,
                "readOnly": true,
                "type": "string"
              },
              "name": {
                "description": "The name of the token.",
                "maxLength": 64,
                "nullable": true,
                "type": "string"
              },
              "token": {
                "description": "The JWT token which an API client should pass in the `Authorization: Bearer <token>`\nheader. Available only in the [Create an Access Token](#create-an-access-token) response.",
                "nullable": true,
                "readOnly": true,
                "type": "string"
              }
            },
            "type": "object"
          },
          "id": {
            "readOnly": true,
            "type": "string"
          },
          "links": {
            "properties": {
              "self": {
                "readOnly": true,
                "type": "string"
              }
            },
            "readOnly": true,
            "type": "object"
          },
          "relationships": {
            "properties": {
              "created-by": {
                "description": "The user who created the token.",
                "properties": {
                  "data": {
                    "nullable": true,
                    "properties": {
                      "id": {
                        "type": "string"
                      },
                      "type": {
                        "enum": [
                          "users",
                          ""
                        ],
                        "type": "string"
                      }
                    },
                    "required": [
                      "type",
                      "id"
                    ],
                    "type": "object"
                  }
                },
                "readOnly": true,
                "required": [
                  "data"
                ],
                "type": "object"
              }
            },
            "type": "object"
          },
          "type": {
            "enum": [
              "access-tokens"
            ],
            "type": "string"
          }
        },
        "required": [
          "type"
        ],
        "type": "object"
      },
      "AccessTokenListingDocument": {
        "description": "JSON:API Document Listing\n\nsee: https://jsonapi.org/format/#document-structure",
        "properties": {
          "data": {
            "items": {
              "$ref": "#/components/schemas/AccessToken"
            },
            "type": "array"
          },
          "included": {
            "items": {
              "type": "object"
            },
            "readOnly": true,
            "type": "array"
          },
          "links": {
            "additionalProperties": {
              "type": "string"
            },
            "readOnly": true,
            "type": "object"
          },
          "meta": {
            "readOnly": true,
            "type": "object"
          }
        },
        "type": "object"
      }
    },
    "securitySchemes": {
      "API-Key": {
        "scheme": "bearer",
        "type": "http"
      }
    }
  },
  "info": {
    "description": "Scalr IACP API",
    "license": {
      "name": "Apache 2.0",
      "url": "https://www.apache.org/licenses/LICENSE-2.0"
    },
    "title": "Scalr IACP API",
    "version": "unversioned"
  },
  "openapi": "3.0.0",
  "paths": {
    "/agent-pools/{agent_pool}/access-tokens": {
      "get": {
        "operationId": "list_agent_pool_access_tokens",
        "parameters": [
          {
            "description": "The ID of the agent pool to list access tokens for.",
            "in": "path",
            "name": "agent_pool",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "description": "Page number",
            "in": "query",
            "name": "page[number]",
            "required": false,
            "schema": {
              "type": "string"
            }
          },
          {
            "description": "Page size",
            "in": "query",
            "name": "page[size]",
            "required": false,
            "schema": {
              "type": "string"
            }
          },
          {
            "description": "The comma-separated list of attributes.",
            "explode": false,
            "in": "query",
            "name": "sort",
            "required": false,
            "schema": {
              "items": {
                "enum": [
                  "created-at",
                  "description",
                  "expires-at",
                  "last-used-at",
                  "name"
                ],
                "type": "string"
              },
              "type": "array"
            }
          },
          {
            "description": "The comma-separated list of relationship paths.",
            "explode": false,
            "in": "query",
            "name": "include",
            "required": false,
            "schema": {
              "items": {
                "enum": [
                  "created-by"
                ],
                "type": "string"
              },
              "type": "array"
            }
          },
          {
            "description": "Query string",
            "in": "query",
            "name": "query",
            "required": false,
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "content": {
              "application/vnd.api+json": {
                "schema": {
                  "$ref": "#/components/schemas/AccessTokenListingDocument"
                }
              }
            },
            "description": "Success."
          },
          "404": {
            "description": "Object not found or user unauthorized."
          },
          "4XX": {
            "description": "Client error."
          },
          "5XX": {
            "description": "Server error."
          }
        },
        "summary": "List Agent Pool Access Tokens",
        "tags": [
          "access-tokens"
        ],
        "x-resource": "AccessToken",
        "x-service": "tf-api"
      }
    }
  },
  "security": [
    {
      "API-Key": []
    }
  ],
  "servers": [
    {
      "url": "https://{Domain}/api/iacp/v3",
      "variables": {
        "Domain": {
          "default": "example.scalr.io",
          "description": "Domain where Scalr is hosted"
        }
      }
    }
  ]
}
```

# Sibling pages

* [List access tokens](https://docs.scalr.io/scalr/reference/list_access_tokens.md)
* [Create an Access Token](https://docs.scalr.io/scalr/reference/create_access_token.md)
* [Delete an Access Token](https://docs.scalr.io/scalr/reference/delete_access_token.md)
* [Get an Access Token](https://docs.scalr.io/scalr/reference/get_access_token.md)
* [Update an Access Token](https://docs.scalr.io/scalr/reference/update_access_token.md)
* [Create an Agent Pool Access Token](https://docs.scalr.io/scalr/reference/create_agent_pool_token.md)
* [List access tokens of a service account](https://docs.scalr.io/scalr/reference/list_service_account_access_tokens.md)
* [Create access token for service account](https://docs.scalr.io/scalr/reference/create_service_account_token.md)